Dependency Management: Composer

General discussion of development ideas and the approaches taken in the 3.x branch of phpBB. The next feature release of phpBB 3 will be 3.2/Rhea followed by 3.3.
Forum rules
Please do not post support questions regarding installing, updating, or upgrading phpBB 3.1. If you need support for phpBB 3.1 please visit the 3.1.x Support Forum on phpbb.com.

If you have questions regarding writing extensions please post in Extension Writers Discussion to receive proper guidance from our staff and community.
Post Reply
User avatar
nextgen Online
Registered User
Posts: 128
Joined: Sat Jul 24, 2010 4:59 am
Location: Guatemala
Contact:

Re: Dependency Management: Composer

Post by nextgen » Tue Apr 09, 2013 1:56 am

Yup
*Imagine a signature super spectacular.*

User avatar
DavidIQ
Customisations Team Leader
Customisations Team Leader
Posts: 1731
Joined: Thu Mar 02, 2006 4:29 pm
Location: Earth
Contact:

Re: Dependency Management: Composer

Post by DavidIQ » Tue Apr 09, 2013 2:12 am

Here is the latest vendor folder then:
Attachments
vendor.zip
Vendor folder as of 4/8/2013
(684.5 KiB) Downloaded 1488 times
Image

User avatar
nextgen Online
Registered User
Posts: 128
Joined: Sat Jul 24, 2010 4:59 am
Location: Guatemala
Contact:

Re: Dependency Management: Composer

Post by nextgen » Tue Apr 09, 2013 2:35 am

It works perfectly, thanks David :)
*Imagine a signature super spectacular.*

User avatar
bantu
3.0 Release Manager
3.0 Release Manager
Posts: 557
Joined: Thu Sep 07, 2006 11:22 am
Location: Karlsruhe, Germany
Contact:

Re: Dependency Management: Composer

Post by bantu » Sun Apr 28, 2013 1:08 am

Please note that you can download complete packages (i.e. including the vendor folder) of phpBB 3.1.x from our nightly builds. See https://area51.phpbb.com/phpBB/viewtopi ... 15#p250415 for more information.

aleha
Registered User
Posts: 143
Joined: Tue Mar 26, 2013 2:19 am

Re: Dependency Management: Composer

Post by aleha » Thu Jul 25, 2013 8:46 pm

OK since I was writing a bigger post and my session expired I lost the post :( therefore long story short:

I want to convert a copy of my 3.0.11 board to 3.1-dev. I have installed composer.
Downloading from here the phpBB-3.0.10_to_3.1.0-dev.tar.bz2 I pointing my browser manually to ROOT/install/ I get

Code: Select all

Fatal error: You have not set up composer dependencies. See http://getcomposer.org
I find that composer.json is in ROOT/install/update/new/ so I run composer in there and I get the vendor dir. Copying the vendor dir to ROOT of my 3.0.11 gives me the following error which I guess is path related

Code: Select all

Warning: require(./../phpbb/class_loader.php): failed to open stream: No such 
file or directory in 
/home/user/public_html/user_site/forum-dev/install/index.php on line 81 Fatal 
error: require(): Failed opening required './../phpbb/class_loader.php' 
(include_path='/home/user/public_html/user_site/forum-dev/vendor/phing/phing/
classes:/home/user/public_html/user_site/forum-dev/vendor/phpunit/php-text-
template:/home/user/public_html/user_site/forum-dev/vendor/phpunit/phpunit-
mock-objects:/home/user/public_html/user_site/forum-dev/vendor/phpunit/php-
timer:/home/user/public_html/user_site/forum-dev/vendor/phpunit/php-file-
iterator:/home/user/public_html/user_site/forum-dev/vendor/phpunit/php-token-
stream:/home/user/public_html/user_site/forum-dev/vendor/phpunit/php-code-
coverage:/home/user/public_html/user_site/forum-dev/vendor/phpunit/phpunit:/
home/user/public_html/user_site/forum-dev/vendor/symfony/yaml:/home/user/
public_html/user_site/forum-dev/vendor/phpunit/dbunit:/home/user/public_html/
user_site/forum-dev/vendor/symfony/yaml:.:/usr/share/php:/usr/share/pear') in 
/home/user/public_html/user_site/forum-dev/install/index.php on line 81 
I get the same error if I try to run ./install/database_update.php
So, is there a way now to convert a 3.0.11 board to 3.1-dev? (I have a couple of mods, some are custom of mine).

If not, is there a way to convert only the db so that I could then use the 3.1-dev files?

User avatar
EXreaction
Registered User
Posts: 1555
Joined: Sat Sep 10, 2005 2:15 am

Re: Dependency Management: Composer

Post by EXreaction » Fri Jul 26, 2013 1:16 am

The automatic update package does not work for 3.0 to 3.1, it is an issue we're trying to fix.

The only way to update currently is to replace all the phpBB files with the new files, then run install/database_update.php. Do note that since this is still in pre-alpha stages, it's very possible, even likely, that during updates to 3.1.0, data may be lost when we fix bugs (e.g. recently, to fix a notifications system bug, we had to drop the notifications table and removed all the data for it).

User avatar
Kamahl19
Registered User
Posts: 161
Joined: Thu Dec 27, 2007 10:31 am

Re: Dependency Management: Composer

Post by Kamahl19 » Wed Jul 31, 2013 6:04 pm

I downloaded phpbb3.1 from https://github.com/phpbb/phpbb3, then I installed composer and tried to download dependencies. I gave me this error

Code: Select all

>>php D:\wamp\www\phpbb3.1\phpbb3-develop\composer.phar install --dev
Loading composer repositories with package information
Installing dependencies (including require-dev) from lock file
  - Installing symfony/config (v2.1.11)
    Downloading: 100%
    Downloading: 100%
    Downloading: 100%

[Composer\Downloader\TransportException]
The "http://nodeload.github.com/symfony/Config/zip/v2.1.11" file could not be downloaded: failed to open stream: HTTP request failed!

install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-scripts] [--no-progress] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader]

User avatar
EXreaction
Registered User
Posts: 1555
Joined: Sat Sep 10, 2005 2:15 am

Re: Dependency Management: Composer

Post by EXreaction » Wed Jul 31, 2013 7:09 pm

Wait for a bit and try it again or get the vendor files from a recent build.

User avatar
abpphpbb3
Registered User
Posts: 11
Joined: Mon Feb 21, 2011 7:12 am
Location: france

Re: Dependency Management: Composer

Post by abpphpbb3 » Thu Aug 01, 2013 5:51 am

hello,

try this vendor folder to install the latest phpbb 3.1 dev

regards
Attachments
vendor.zip
(1.19 MiB) Downloaded 1313 times

Michaelo
Registered User
Posts: 106
Joined: Thu Apr 01, 2004 7:56 am
Location: Dublin

Re: Dependency Management: Composer

Post by Michaelo » Sun Apr 06, 2014 2:34 pm

Version 3.1.0 b2 install problem: (wamp)

composer update...
Loading composer repositories with package information
Updating dependencies (including require-dev)
Your requirements could not be resolved to an installable set of packages.

Code: Select all

  Problem 1
    - fabpot/goutte v1.0.5 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - fabpot/goutte v1.0.4 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - fabpot/goutte v1.0.3 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - fabpot/goutte v1.0.2 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - fabpot/goutte v1.0.1 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - fabpot/goutte v1.0.0 requires ext-curl * -> the requested PHP extension curl is missing from your system.
    - Installation request for fabpot/goutte 1.0.* -> satisfiable by fabpot/goutte[v1.0.0, v1.0.1, v1.0.2, v1.0.3, v1.0.4, v1.0.5].
I thought I had curl enabled....

It appears there are two php.ini files being used... one in apache folder and one in php folder...
Wamp only modifies one of these from its configuration tool... you need to manually edit the other (check both files)...

I also install curl for windows but not sure it that was totally necessary?

Everything fine now, might help others... ;)
Mods: Forum Icons Enhancement, Kiss Portal Engine
Links:
Kiss Portal Engine (dev site) Stargate Portal (archive site) ...
Styles: Technika

Post Reply